Package org.apache.storm.hive.bolt.mapper

## Interface HiveMapper

- All Superinterfaces:
    `Serializable`
  All Known Implementing Classes:
    `DelimitedRecordHiveMapper`, `JsonRecordHiveMapper`

      @Deprecated(since="2.7.1",
                  forRemoval=true)
      public interface HiveMapper
      extends Serializable

  Deprecated, for removal: This API element is subject to removal in a future version.
  Maps a `org.apache.storm.tuple.Tupe` object to a row in an Hive table.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.hive.hcatalog.streaming.RecordWriter` | `createRecordWriter​(org.apache.hive.hcatalog.streaming.HiveEndPoint endPoint)` | Deprecated, for removal: This API element is subject to removal in a future version. Given a endPoint, returns a RecordWriter with columnNames.
    `List<String>` | `mapPartitions​(TridentTuple tuple)` | Deprecated, for removal: This API element is subject to removal in a future version. Given a TridetnTuple, return a hive partition values list.
    `List<String>` | `mapPartitions​(Tuple tuple)` | Deprecated, for removal: This API element is subject to removal in a future version. Given a tuple, return a hive partition values list.
    `byte[]` | `mapRecord​(TridentTuple tuple)` | Deprecated, for removal: This API element is subject to removal in a future version. Given a TridentTuple, maps to a HiveRecord based on columnFields.
    `byte[]` | `mapRecord​(Tuple tuple)` | Deprecated, for removal: This API element is subject to removal in a future version. Given a tuple, maps to a HiveRecord based on columnFields.
    `void` | `write​(org.apache.hive.hcatalog.streaming.TransactionBatch txnBatch, Tuple tuple)` | Deprecated, for removal: This API element is subject to removal in a future version.

- - ### Method Detail

    - #### createRecordWriter

          org.apache.hive.hcatalog.streaming.RecordWriter createRecordWriter​(org.apache.hive.hcatalog.streaming.HiveEndPoint endPoint)
                                                                      throws org.apache.hive.hcatalog.streaming.StreamingException,
                                                                             IOException,
                                                                             ClassNotFoundException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Given a endPoint, returns a RecordWriter with columnNames.
      Throws:
        `org.apache.hive.hcatalog.streaming.StreamingException`
        `IOException`
        `ClassNotFoundException`

    - #### write

          void write​(org.apache.hive.hcatalog.streaming.TransactionBatch txnBatch,
                     Tuple tuple)
              throws org.apache.hive.hcatalog.streaming.StreamingException,
                     IOException,
                     InterruptedException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Throws:
        `org.apache.hive.hcatalog.streaming.StreamingException`
        `IOException`
        `InterruptedException`

    - #### mapPartitions

          List<String> mapPartitions​(Tuple tuple)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Given a tuple, return a hive partition values list.

    - #### mapPartitions

          List<String> mapPartitions​(TridentTuple tuple)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Given a TridetnTuple, return a hive partition values list.

    - #### mapRecord

          byte[] mapRecord​(Tuple tuple)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Given a tuple, maps to a HiveRecord based on columnFields.

    - #### mapRecord

          byte[] mapRecord​(TridentTuple tuple)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Given a TridentTuple, maps to a HiveRecord based on columnFields.